#include <stdlib.h>
#include <stdio.h>
#include "grid_search.h"
#include "bucket_search.h"
#include "sphere_part.h"
#include "grid.h"
#include "grid_reg2d.h"

int main (void) {

   struct grid * grid_data_a, * grid_data_b;

   double * coords_x_a, * coords_x_b;
   double * coords_y_a, * coords_y_b;
   unsigned num_cells[2] = {1024,1024};
   unsigned cylcic[2] = {0,0};

   unsigned i;
   double dx, dy;
   double const x_min = -90*YAC_RAD, y_min = -45*YAC_RAD;
   double const x_max =  90*YAC_RAD, y_max =  45*YAC_RAD;

   dx = (x_max - x_min) / (double) num_cells[0];
   dy = (y_max - y_min) / (double) num_cells[1];

   coords_x_a = malloc((num_cells[0] + 1) * sizeof(*coords_x_a));
   coords_y_a = malloc((num_cells[1] + 1) * sizeof(*coords_y_a));
   coords_x_b = malloc((num_cells[0] + 1) * sizeof(*coords_x_b));
   coords_y_b = malloc((num_cells[1] + 1) * sizeof(*coords_y_b));

   for (i = 0; i <= num_cells[0]; ++i) {

      coords_x_a[i] = x_min            + dx * (double)i;
      coords_x_b[i] = x_min + dx * 0.5 + dx * (double)i;
   }

   for (i = 0; i <= num_cells[1]; ++i) {

      coords_y_a[i] = y_min            + dy * (double)i;
      coords_y_b[i] = y_min + dy * 0.5 + dy * (double)i;
   }

   grid_data_a = yac_reg2d_grid_new(coords_x_a, coords_y_a, num_cells, cylcic);
   grid_data_b = yac_reg2d_grid_new(coords_x_b, coords_y_b, num_cells, cylcic);

   struct grid_search * search;

   search = yac_bucket_search_new(grid_data_a);
   //search = sphere_part_search_new(grid_data_a);

   struct dep_list * deps = yac_do_cell_search(search, grid_data_b);

   yac_dep_list_delete(deps);
   yac_delete_grid_search(search);

   return (EXIT_SUCCESS);
}

