!!
!! @file test_def_datetime.F90
!!
!! @copyright Copyright  (C)  2013 DKRZ, MPI-M
!!
!! @version 1.0
!!
!! @author Moritz Hanke <hanke@dkrz.de>
!!
!
!  Keywords:
!
!  Maintainer: Moritz Hanke <hanke@dkrz.de>
!
!  URL: https://doc.redmine.dkrz.de/YAC/html/index.html
!
!  This file is part of YAC.
!
!  YAC is free software: you can redistribute it and/or modify
!  it under the terms of the GNU General Public License as published by
!  the Free Software Foundation, either version 3 of the License, or
!  (at your option) any later version.
!
!  YAC is distributed in the hope that it will be useful,
!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!  GNU General Public License for more details.
!
!  You should have received a copy of the GNU General Public License
!  along with YAC.  If not, see <http://www.gnu.org/licenses/gpl.txt>.
!

#include "test_macros.inc"

program test_def_datetime

  use utest
  use mo_yac_finterface, only : yac_finit, &
                                yac_fdef_datetime, &
                                yac_ffinalize, YAC_MAX_CHARLEN
  implicit none

  character(len=YAC_MAX_CHARLEN) :: xml_name
  character(len=YAC_MAX_CHARLEN) :: schema_name
  character(len=YAC_MAX_CHARLEN) :: start_datetime
  character(len=YAC_MAX_CHARLEN) :: end_datetime

  call start_test("yac_def_datetime")

  xml_name    = 'coupling.xml'
  schema_name = 'coupling.xsd'

  call yac_finit ( xml_name , schema_name )

  start_datetime = '01-01-1850T00:00:00'
  end_datetime = '31-12-1851T00:00:00'
  call yac_fdef_datetime ( start_datetime = start_datetime, end_datetime = end_datetime )

  start_datetime = '01-01-1852T00:00:00'
  call yac_fdef_datetime ( start_datetime = start_datetime )

  end_datetime   = '31-12-1853T00:00:00'
  call yac_fdef_datetime ( end_datetime = end_datetime )

  call yac_ffinalize ( )

  call stop_test

  call exit_tests

end program test_def_datetime

