/**
 * @file test_read_cube_csv.c
 *
 * @copyright Copyright  (C)  2015 DKRZ, MPI-M
 *
 * @version 1.0
 *
 * @author Moritz Hanke <hanke@dkrz.de>
 *         Rene Redler  <rene.redler@mpimet.mpg.de>
 *
 */
/*
 * Keywords:
 *
 * Maintainer: Moritz Hanke <hanke@dkrz.de>
 *             Rene Redler  <rene.redler@mpimet.mpg.de>
 *
 * URL: https://doc.redmine.dkrz.de/YAC/html/index.html
 *
 * This file is part of YAC.
 *
 * YAC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * YAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with YAC.  If not, see <http://www.gnu.org/licenses/gpl.txt>.
 *
 */

#include <stdlib.h>
#include <stdio.h>

#include "tests.h"
#include "read_cube_csv_grid.h"
#include "grid.h"
#include "grid2vtk.h"

int main(void) {

   struct grid * cube_grid = read_cube_csv_grid("cube_10x10.csv");

   if (yac_get_num_grid_cells(cube_grid) != 600)
     PUT_ERR("ERROR: wrong number of cells\n");

   if (yac_get_num_grid_corners(cube_grid) != 602)
     PUT_ERR("ERROR: wrong number of grid vertices\n")

#define WRITE_VTK_GRID_FILE
#ifdef WRITE_VTK_GRID_FILE
   yac_write_grid_to_file(cube_grid, "cube");
#endif // WRITE_VTK_GRID_FILE

   yac_delete_grid(cube_grid);

   return TEST_EXIT_CODE;
}

